[Debian-l10n-commits] r1631 - in /dl10n/trunk: Changelog dl10n-rrd/example/resize_rrd.sh
nekral-guest at users.alioth.debian.org
nekral-guest at users.alioth.debian.org
Sat Feb 28 14:52:08 UTC 2009
Author: nekral-guest
Date: Sat Feb 28 14:52:08 2009
New Revision: 1631
URL: http://svn.debian.org/wsvn/?sc=1&rev=1631
Log:
* dl10n-rrd/example/resize_rrd.sh: Added script to resize the rrd
databases.
Added:
dl10n/trunk/dl10n-rrd/example/resize_rrd.sh (with props)
Modified:
dl10n/trunk/Changelog
Modified: dl10n/trunk/Changelog
URL: http://svn.debian.org/wsvn/dl10n/trunk/Changelog?rev=1631&op=diff
==============================================================================
--- dl10n/trunk/Changelog (original)
+++ dl10n/trunk/Changelog Sat Feb 28 14:52:08 2009
@@ -1,3 +1,8 @@
+2008-02-21 Nicolas François <nicolas.francois at centraliens.net>
+
+ * dl10n-rrd/example/resize_rrd.sh: Added script to resize the rrd
+ databases.
+
2008-02-21 Nicolas François <nicolas.francois at centraliens.net>
* dl10n-rrd/manpages-rrd.pl: Updated list of Architecture for each
Added: dl10n/trunk/dl10n-rrd/example/resize_rrd.sh
URL: http://svn.debian.org/wsvn/dl10n/trunk/dl10n-rrd/example/resize_rrd.sh?rev=1631&op=file
==============================================================================
--- dl10n/trunk/dl10n-rrd/example/resize_rrd.sh (added)
+++ dl10n/trunk/dl10n-rrd/example/resize_rrd.sh Sat Feb 28 14:52:08 2009
@@ -1,0 +1,31 @@
+#!/bin/sh
+
+set -e
+
+# This is just an example on how the rrd files can be enlarged.
+# When I did it, the rrd file already lost some data, so I had to merge
+# different sources 'see the commented parts)
+
+find debian-l10n-stats/ -name "*.rrd" | while read file
+do
+# dump=dump
+# olddump=olddump
+# newdump=newdump
+# rm -f $dump $olddump $newdump
+#
+# oldfile=www-rrd${file#debian-l10n-stats}
+#
+# if [ -f $oldfile ]; then
+# rrdtool dump $file > $dump
+# rrdtool dump $oldfile > $olddump
+#
+# head -n 73 $dump >> $newdump
+# tail -n +74 $olddump | grep "2007-" >> $newdump
+# tail -n +74 $dump | grep -v "2007-" >> $newdump
+# rm -f $file
+# rrdtool restore $newdump $file
+# fi
+
+ rrdtool resize $file 0 GROW 700
+done
+
Propchange: dl10n/trunk/dl10n-rrd/example/resize_rrd.sh
------------------------------------------------------------------------------
svn:executable = *
More information about the Debian-l10n-commits
mailing list